/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.90B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"
#include "pv.h"

int
fileselector_cb( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	AwFileSelectCallback_t	*fs = cbinfo->cbdata;

	int pl;

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo;

	pl = strlen(fs->dirpath);
	if (pl > 0)
	  {
		if (*(fs->dirpath+pl-1) == '/')
		  sprintf( file_name, "%s%s", fs->dirpath, fs->filename );
		else
		  sprintf( file_name, "%s/%s", fs->dirpath, fs->filename );
	  }
	else
		sprintf( file_name, "%s/%s", fs->dirpath, fs->filename );

	/* save new directory */
	strcpy( file_path, fs->dirpath );

	procid = PtAppAddWorkProc( NULL, load_image, 0 );

	return( Pt_CONTINUE );
}
