/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.98B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "pv.h"
#include "abimport.h"
#include "proto.h"

extern int order;

int
next_image( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if( sindx == -1 || procid )
		return( Pt_CONTINUE );

	if (order == 0)
	  {
		cindx++;
		if (cindx > lindx) cindx = sindx;
	  }
	else
	  {
		cindx = (rand() % (lindx-sindx)) + sindx;
	  }

	_fstrcpy( file_name, cargv[cindx] );
	procid = PtAppAddWorkProc( NULL, load_image, 0 );
/*
	if( sindx == -1 || cindx == lindx || procid )
		return( Pt_CONTINUE );

	cindx++;
	_fstrcpy( file_name, cargv[cindx] );
	procid = PtAppAddWorkProc( NULL, load_image, 0 );
*/
	return( Pt_CONTINUE );
}

int
prev_image( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;
	if( sindx == -1 || cindx == sindx || procid )
		return( Pt_CONTINUE );

	cindx--;
	_fstrcpy( file_name, cargv[cindx] );
	procid = PtAppAddWorkProc( NULL, load_image, 0 );
	
	return( Pt_CONTINUE );
}

