/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.11B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "pv.h"
#include "abimport.h"
#include "proto.h"

extern int timing, switch_time;
int ticking = 0;
int order = 0;
static int cur_tick = 0;

int
sec_tick( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if (!timing) return(Pt_CONTINUE);
	if (!ticking) return(Pt_CONTINUE);

	if (cur_tick == switch_time)
	  {
		ticking = 0;
		cur_tick = 0;
	  }
	else
	  {
		cur_tick++;
		return(Pt_CONTINUE);
	  }

#if 0
	if( sindx == -1 || cindx == lindx || procid )
		return( Pt_CONTINUE );
#endif

	if( sindx == -1 || procid )
		return( Pt_CONTINUE );

		cindx++;
		if (cindx > lindx)
		  {
			ShuffleArgs();
			cindx = sindx;
		  }

	_fstrcpy( file_name, cargv[cindx] );
	procid = PtAppAddWorkProc( NULL, load_image, 0 );

	return( Pt_CONTINUE );

	}

