/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.91B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "pv.h"
#include "abimport.h"
#include "proto.h"

int
raw_cb( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if( !PaletteBoundary )
		return( Pt_CONTINUE );

	switch( cbinfo->event->subtype ) {
		case Ph_EV_PTR_ENTER:
			SetPalette( 1 );
			break;

		case Ph_EV_PTR_LEAVE:
			SetPalette( 0 );
			break;
				
		case Ph_EV_PTR_STEADY:
		default:
			break;
	}
	return( Pt_CONTINUE );
}

