/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.90B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "pv.h"
#include "abimport.h"
#include "proto.h"

int wm_callback( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{
	PhWindowEvent_t 			*window_ev;

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;
	window_ev = PhGetData( cbinfo->event );
	switch( window_ev->event_f ) {
		case Ph_WM_FOCUS:
			if( window_ev->event_state == Ph_WM_EVSTATE_FOCUS ) {
				has_focus = 1;
				SetPalette( 1 );
			}
			else {
				has_focus = 0;
				SetPalette( 0 );
			}
			break;

		case Ph_WM_CLOSE:
			SetPalette( 0 );
			break;

		default:
			break;
	}

	return( Pt_CONTINUE );
}

