/* Event header for application - AppBuilder 1.11  */

ApEventLink_t appl_links[] = {
	{ 3, 0, 0L, 0L, 0L, &base, base_links, NULL, 0, pv_setup, 0, 0, 0, 0, dsbase },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t internal_links[] = {
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t base_links[] = {
	{ 4, 2, 111L, 2L, 0L, &FileSelector, FileSelector_links, "base", 1010, fileselector_setup, 0, 11, 20, 20, dsFileSelector },
	{ 4, 2, 114L, 2L, 0L, &FileSelector, FileSelector_links, "base", 1010, fileselector_setup, 0, 11, 20, 20, dsFileSelector },
	{ 4, 2, 120L, 2L, 0L, &FileSelector, FileSelector_links, "base", 1010, fileselector_setup, 0, 11, 20, 20, dsFileSelector },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "base", 18017, wm_callback, 0, 0, 0, 0, NULL },
	{ 8, 1, 0L, 0L, 32L, NULL, NULL, "base", 1011, raw_cb, 0, 0, 0, 0, NULL },
	{ 8, 2, 61523L, 0L, 0L, NULL, NULL, "base", 1010, next_image, 0, 0, 0, 0, NULL },
	{ 8, 2, 61521L, 0L, 0L, NULL, NULL, "base", 1010, prev_image, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "sec_counter", 41002, sec_tick, 0, 0, 0, 0, NULL },
	{ 5, 2, 102L, 4L, 0L, &FileMenu, FileMenu_links, "FileMenuButton", 1010, filemenu_setup, 0, 1, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "FileMenuButton", 2009, NULL, 0, 0, 0, 0, NULL },
	{ 5, 0, 0L, 0L, 0L, &FileMenu, FileMenu_links, "FileMenuButton", 2007, filemenu_setup, 0, 1, 0, 0, NULL },
	{ 5, 0, 0L, 0L, 0L, &OptionsMenu, OptionsMenu_links, "OptionsMenuButton", 2007, optionsmenu_setup, 0, 1, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t FileMenu_links[] = {
	{ 4, 0, 0L, 0L, 0L, &FileSelector, FileSelector_links, "OpenMenuItem", 2009, fileselector_setup, 0, 11, 20, 20, dsFileSelector },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "SaveMenuItem", 2009, filemenuitem_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "SaveAsMenuItem", 2009, filemenuitem_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "CloseMenuItem", 2009, filemenuitem_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "ExitMenuItem", 2009, filemenuitem_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "FileMenu", 1009, menu_destroy_cb, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t HelpMenu_links[] = {
	{ 4, 0, 0L, 0L, 0L, &AboutDialog, AboutDialog_links, "AboutMenuItem", 2009, NULL, 0, 11, 20, 20, dsAboutDialog },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t AboutDialog_links[] = {
	{ 9, 0, 0L, 0L, 0L, NULL, NULL, "AboutDoneButton", 2009, NULL, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t FileSelector_links[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "FileSelector", 10002005, fileselector_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "FileSelector", 10002006, fileselector_cancel_cb, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t OptionsMenu_links[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "QuantitizeMenuItem", 2009, optionsmenu_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "ScaleMenuItem", 2009, optionsmenu_cb, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "DitherMenuItem", 2009, optionsmenu_cb, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

